Subject: bug#57636: [PATCH] Recognize zstandard (.zst) suffix in lisp/info.el

From: Sam James <[email-masked]>
Date: Thu, 8 Sep 2022 03:10:21 +0100

> On 7 Sep 2022, at 12:35, Eli Zaretskii <[email-masked]> wrote:
> 
>> Cc: Sam James <[email-masked]>
>> From: Sam James <[email-masked]>
>> Date: Wed,  7 Sep 2022 05:00:40 +0100
>> 
>> * lisp/info.el (Info-suffix-list): Recognize .zst file extension from the
>> zstd compression tool. This allos reading Info pages compressed with zstandard.
>> ---
>> lisp/info.el | 4 ++++
>> 1 file changed, 4 insertions(+)
>> 
>> diff --git a/lisp/info.el b/lisp/info.el
>> index 1a58910c3a..fdbe1f9b90 100644
>> --- a/lisp/info.el
>> +++ b/lisp/info.el
>> @@ -451,6 +451,7 @@ or `Info-virtual-nodes'."
>>        (".info.z"    . "gunzip")
>>        (".info.bz2"  . ("bzip2" "-dc"))
>>        (".info.xz"   . "unxz")
>> +       (".info.zst"  . ("unzstd" "--rm" "-q"))
> 
> Thanks, but I don't think I understand the --rm part: these commands
> aren't supposed to replace the original compressed file with its
> decompressed version, they are supposed to write the decompressed text
> to stdout, where it will be read by Emacs and displayed, and leave the
> original compressed files alone.
> 
> So I think you want "-dc", not "--rm -q".  Am I missing something?

You're missing nothing and you're exactly right. Apologies
tor the error -- that seems obvious now!

I'll send a fixed version shortly.